Bug 464406 - [4.7.z] SGI Altix ACPI Problem
[4.7.z] SGI Altix ACPI Problem
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7.z
ia64 Linux
medium Severity medium
: rc
: ---
Assigned To: George Beshers
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-28 05:40 EDT by CAI Qian
Modified: 2010-01-19 14:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 14:05:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg from altix4 with a RHEL 4.7.z Kernel (10.13 KB, text/plain)
2008-09-28 05:42 EDT, CAI Qian
no flags Details
Dmesg from altix4 with a RHEL 5 Kernel (17.70 KB, text/plain)
2008-09-28 05:43 EDT, CAI Qian
no flags Details

  None (edit)
Description CAI Qian 2008-09-28 05:40:19 EDT
Description of problem:
When booting a RHEL 4.7.z Kernel on a SGI Altix machine, the following has been seen,

No logical to physical processor mapping available
ACPI: Local APIC address c0000000fee00000
ACPI: Error parsing MADT - no IOSAPIC entries
register_intr: No IOSAPIC for GSI 52
acpi_register_gsi: error -19
4 CPUs available, 4 CPUs total
Registering legacy COM ports for serial console
...
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 1024 (order: 0, 16384 bytes)
    ACPI-0100: *** Warning: Zero-length AML block in table [DSDT]
...

# cat /proc/acpi/dsdt
DSDT SGIDSDTSN2

Dmidecode did not show anything on RHEL 4.

# dmidecode
# dmidecode 2.2

There is no such problem on RHEL 5 Kernels,

No logical to physical processor mapping available
cpu_init: PAL max_purges is overridden to 1 PALO is required for multiple outsanding ptc.g 
ACPI: Local APIC address c0000000fee00000
register_intr: No IOSAPIC for GSI 52
4 CPUs available, 4 CPUs total
...
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 1048576 (order: 9, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 8, 4194304 bytes)
Mount-cache hash table entries: 1024
ACPI: Core revision 20060707
...

Version-Release number of selected component (if applicable):
kernel-2.6.9-78.0.1.EL

How reproducible:
always on altix3 or altix4.rhts.bos.redhat.com.
Comment 1 CAI Qian 2008-09-28 05:42:46 EDT
Created attachment 317894 [details]
Dmesg from altix4 with a RHEL 4.7.z Kernel
Comment 2 CAI Qian 2008-09-28 05:43:25 EDT
Created attachment 317895 [details]
Dmesg from altix4 with a RHEL 5 Kernel
Comment 3 Prarit Bhargava 2009-03-16 10:13:29 EDT
Assigning to gbeshers, SGI onsite partner engineer.

P.
Comment 4 CAI Qian 2009-05-01 12:29:09 EDT
Hi George, do you have a chance to look at this issue? Let me know if you need any help like reservation of this machine.
Comment 5 George Beshers 2010-01-19 14:05:16 EST
SGI considers the error message harmless
and lacks the engineering resources to fix it.

Closing.

Note You need to log in before you can comment on or make changes to this bug.